### Method

# ICalGLib Component begin_property

since: 4.0

#### Declaration [src]

    ICalPropIter*
    i_cal_component_begin_property (
      ICalComponent* component,
      ICalPropertyKind kind
    )

#### Description [src]

Gets the `ICalPropIter` pointing to the first property of type `kind` in `ICalComponent`.

Available since: 4.0

#### Parameters

`kind`

  Type: `ICalPropertyKind`

  A `ICalPropertyKind`.

#### Return value

Type: `ICalPropIter`

A `ICalPropIter`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.